Subject: Re: [Megaco] Individual audit: differences in text & binary

From: Frank Reno <[email-masked]>
Date: Tue, 19 Apr 2005 12:59:09 -0700 (PDT)

Thanks for the reply Christian.

1 & 2.  Are you saying that items in the Events,
Signals, and EventBuffer descriptors should have
optionally one stream ID and no other parameters?

3. Ok, but why is the requestID optional in binary and
required in text?

4. Here's another difference I noted. Binary mode can
audit one entire signal list (providing the list ID
but omitting the signal ID). This is not possible in
text mode.

Frank

--- Christian Groves <[email-masked]>
wrote:
> Hello Frank,
> 
> The Invidual audits for text and binary should have
> the equivalent functionality 
>   (apart from Local and Remote). Please see my
> comments below.
> 
> Regards, Christian
> 
> Frank Reno wrote:
> > I've noticed some differences between what can be
> > specified in an individual audit between the text
> and
> > binary encodings. Was this an oversight or
> > intentional?
> > 
> > 1. StreamID can be specified for events and
> signals in
> > binary mode only.
> 
> [CHG] This does appear to be case. It seems that
> something like below is needed:
> 
> ; StreamID only in sigParameter or EventParameter
> indAudsignalRequest	= signalName [LBRKT sigParameter
> *(COMMA sigParameter) RBRKT]
> indAudrequestedEvent	= pkgdName [LBRKT
> eventParameter *(COMMA eventParameter) RBRKT]
> 
> 
> > 2. Event buffer's event parameters can be
> specified in
> > text mode only.
> 
> [CHG] The text does allow this to happen. However I
> think that the only 
> parameter that should be able to be given is the
> "streamID". This would be the 
> same in (1) above. By references the
> "eventParameter" construct you 
> automatically get the ability to audit signal and
> event parameters.
> 
> > 3. RequestID is optional in binary and required in
> > text.
> > 
> > There were a couple of earlier threads discussing
> item
> > 3, but I didn't understand the responses. What is
> the
> > correct way to handle the requestID when received
> in
> > an audit descriptor? Is it:
> > 
> > a. the specified requestID is ignored and the
> event is
> > always audited
> > b. the event is only audited if the specified
> > requestID is the requestID of the termination's
> > current event descriptor. (Can '*' be used for the
> > requestID in this case?)
> > c. something else
> 
> [CHG] I would say b. Rather than use '*' just
> perform a descriptor audit.
> 
> > 
> > Many thanks,
> > Frank
> > 

__________________________________ 
Do you Yahoo!? 
Plan great trips with Yahoo! Travel: Now over 17,000 guides!
http://travel.yahoo.com/p-travelguide

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco